deleteMVC {iSPlot} | R Documentation

## Delete a MVC object

### Description

deleteMVC will remove a MVC object, which means that the data set is removed and all of its views are closed. deleteMVC performs the same functionality as the Delete MVC menu item under the Edit menu on the control window. This function is meant to be called by users that are not using the GUI. The active MVC object cannot be deleted. Only non-active MVC objects can be deleted.

### Usage

    deleteMVC(dMVC)

### Arguments

`dMVC` | the name of the model (MVC) object to be removed

### Author(s)

Elizabeth Whalen

### See Also

`loadData`, `getModelNames`, `getActiveMVC`

### Examples

      if (interactive())
      {
        loadData("USArrests")
        loadData("USJudgeRatings")
        setActiveMVC("USArrests")
        createSpreadsheet()
        setActiveMVC("USJudgeRatings")
        createSpreadsheet()
        # now delete the USArrests MVC (which is not active)
        deleteMVC("USArrests")
      }

[Package iSPlot version 1.12.0 Index]